# SharedCalls class

## Constructors

SharedCalls()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

cleanupStorageInternal(MethodChannel channel) → Future<void>
detectBarcodesFromImage(MethodChannel channel, Uri imageFileUri, BarcodeScannerConfiguration configuration) → Future<BarcodeScannerResult>
getBarcodeFormatter(BarcodeUseCase useCase) → BarcodeItemMapper?
getLicenseStatusInternal(MethodChannel channel) → Future<SdkLicenseStatus>
invoke(MethodChannel _channel, String method, Map<String, dynamic> json) → Future<String>
isUsecaseSupportBarcodeFormatter(BarcodeScannerScreenConfiguration config) → bool
makeImageRefsSnapshot(MethodChannel channel) → Future<ImageRefPoolSnapshot?>
startBarcodeScanner(MethodChannel channel, BarcodeScannerScreenConfiguration config) → Future<ResultWrapper<BarcodeScannerUiResult>>
wasCanceled(String result) → bool